Subject: Re: [Bitcoin-development] Protocol extensions

From: Jorge Timón <[email-masked]>
Date: Sun, 18 Dec 2011 20:37:16 +0100

2011/12/17, theymos <[email-masked]>:
> My preferred solution for handling scalability in the future is to
> have lightweight clients download only headers and Merkle trees (which
> are both small and easy to distribute), and then require senders to
> contact recipients directly in order to transmit their transactions.
> Then lightweight clients never need full blocks to build their
> balances, and full nodes don't have to handle expensive queries from
> lightweight clients.

This idea is really interesting. Is there any drawback I don't see?